# pay_unit_sdk

A Pay unit sdk package.



![Screenshot_2021-01-29-00-22-35-334_com sevengps eneopayappskeletteforsdk](https://user-images.githubusercontent.com/44162391/106212135-2ab64680-6187-11eb-8701-c559597fec3a.jpg)


## NEW VERSION 2.0.0 ==> Orange payment is now available .


## To use this package, all you need to do is follow the instruction bellow ,  Please Download the recent version of the SDK .

## Use flutter sdk v.1.22.0 +

## Add mavenCentral() to your project .

Add mavenCentral() to allprojects in gradle > build.gradle .



```
allprojects {
    repositories {
        google()
        mavenCentral() <---
        jcenter()
    }
}

```


## Make sure the icon of your app is locate is like @mipmap/ic_launcher . to get the PayUnit sdk notification in your app after every transaction


## Add Pay unit to your app .


```
PayUnitButton(
              apiUser:"<Your apiuser>",
              apiPassword:  "<Your apiPassword>",
              apiKey: "<Your apiKey>",
              transactionId: "<The id of your transaction>",
              mode: 'sandbox' // sandbox or live,
              transactionCallBackUrl:"<Your transactionCallBackUrl url>",
              notiFyUrl: "<Your notification url>",
              transactionAmount:  "<Your transaction amount>",
              currency:"XAF", //// The currency of your transaction : XAF for FCFA or USD for $ ect ...
              buttonTextColor:  "<Custom the color of the text PayUnit button>",
              productName:"<The name of the product>",
              color: "<Custom the color of PayUnit button>",///the colors of the PayUnit Button text DEFAULT WHITE,
              actionAfterProccess: (transactionId, transactionStatus) {
               //here is the action who start after the end of the paiement , you can perform 	
               //some operation here , like display a alertDialog after the end of the payment.
              },
            ),

```
